<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('exam_results', function (Blueprint $table) {
      $table->id();

      $table
        ->integer('result')
        ->nullable()
        ->default(0);
      $table->text('remarks')->nullable();

      $table->bigInteger('student_id');
      $table->bigInteger('teacher_id');
      $table->bigInteger('exam_id');

      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('exam_results');
  }
};
